Loading...
Searching...
No Matches
irr::scene::IAnimatedMeshMD3 Class Referenceabstract

Interface for using some special functions of MD3 meshes. More...

`#include <IAnimatedMeshMD3.h>`

Inheritance diagram for irr::scene::IAnimatedMeshMD3:

## Public Member Functions

virtual SMD3Mesh * | getOriginalMesh ()=0
| get the original md3 mesh.
virtual SMD3QuaternionTagList * | getTagList (s32 frame, s32 detailLevel, s32 startFrameLoop, s32 endFrameLoop)=0
| get the tag list of the mesh.
virtual void | setInterpolationShift (u32 shift, u32 loopMode)=0
| tune how many frames you want to render inbetween.
Public Member Functions inherited from irr::scene::IAnimatedMesh
virtual f32 | getAnimationSpeed () const =0
| Gets the animation speed of the animated mesh.
virtual u32 | getFrameCount () const =0
| Gets the frame count of the animated mesh.
virtual IMesh * | getMesh (s32 frame, s32 detailLevel=255, s32 startFrameLoop=-1, s32 endFrameLoop=-1)=0
| Returns the IMesh interface for a frame.
virtual E_ANIMATED_MESH_TYPE | getMeshType () const
| Returns the type of the animated mesh.
virtual void | setAnimationSpeed (f32 fps)=0
| Sets the animation speed of the animated mesh.
Public Member Functions inherited from irr::scene::IMesh
virtual const core::aabbox3d< f32 > & | getBoundingBox () const =0
| Get an axis aligned bounding box of the mesh.
virtual IMeshBuffer * | getMeshBuffer (const video::SMaterial &material) const =0
| Get pointer to a mesh buffer which fits a material.
virtual IMeshBuffer * | getMeshBuffer (u32 nr) const =0
| Get pointer to a mesh buffer.
virtual u32 | getMeshBufferCount () const =0
| Get the amount of mesh buffers.
virtual void | setBoundingBox (const core::aabbox3df &box)=0
| Set user-defined axis aligned bounding box.
virtual void | setDirty (E_BUFFER_TYPE buffer=EBT_VERTEX_AND_INDEX)=0
| Flag the meshbuffer as changed, reloads hardware buffers.
virtual void | setHardwareMappingHint (E_HARDWARE_MAPPING newMappingHint, E_BUFFER_TYPE buffer=EBT_VERTEX_AND_INDEX)=0
| Set the hardware mapping hint.
virtual void | setMaterialFlag (video::E_MATERIAL_FLAG flag, bool newvalue)=0
| Sets a flag of all contained materials to a new value.
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

Interface for using some special functions of MD3 meshes.

Definition at line 286 of file IAnimatedMeshMD3.h.

## Member Function Documentation

## getOriginalMesh()

virtual SMD3Mesh * irr::scene::IAnimatedMeshMD3::getOriginalMesh | ( |  | ) |

pure virtual

get the original md3 mesh.

## getTagList()

virtual SMD3QuaternionTagList * irr::scene::IAnimatedMeshMD3::getTagList | ( | s32 | frame,
|  | s32 | detailLevel,
|  | s32 | startFrameLoop,
|  | s32 | endFrameLoop )

pure virtual

get the tag list of the mesh.

## setInterpolationShift()

virtual void irr::scene::IAnimatedMeshMD3::setInterpolationShift | ( | u32 | shift,
|  | u32 | loopMode )

pure virtual

tune how many frames you want to render inbetween.

The documentation for this class was generated from the following file:

- IAnimatedMeshMD3.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0